%define rname subversion
%define rversion 1.1.0
%define release 1mdk
%define api_version 1
%define	major 0
%define libsvn_client_name	%mklibname svn_client %{api_version} %{major}
%define libsvn_delta_name	%mklibname svn_delta %{api_version} %{major}
%define libsvn_diff_name	%mklibname svn_diff %{api_version} %{major}
%define libsvn_ra_dav_name	%mklibname svn_ra_dav %{api_version} %{major}
%define libsvn_ra_local_name	%mklibname svn_ra_local %{api_version} %{major}
%define libsvn_ra_svn_name	%mklibname svn_ra_svn %{api_version} %{major}
%define libsvn_repos_name	%mklibname svn_repos %{api_version} %{major}
%define libsvn_subr_name	%mklibname svn_subr %{api_version} %{major}
%define libsvn_fs_base_name	%mklibname svn_fs_base %{api_version} %{major}
%define libsvn_fs_fs_name	%mklibname svn_fs_fs %{api_version} %{major}
%define libname			%mklibname %{rname} %{api_version} %{major}

# oldname for obsoleting
%define oldlibsvn_client_name	%mklibname svn_client 0 
%define oldlibsvn_delta_name	%mklibname svn_delta 0 
%define oldlibsvn_diff_name	%mklibname svn_diff 0 
%define oldlibsvn_ra_dav_name	%mklibname svn_ra_dav 0 
%define oldlibsvn_ra_local_name	%mklibname svn_ra_local 0 
%define oldlibsvn_ra_svn_name	%mklibname svn_ra_svn 0 
%define oldlibsvn_repos_name	%mklibname svn_repos 0 
%define oldlibsvn_subr_name	%mklibname svn_subr 0 
%define oldlibname		%mklibname %{rname} 0 

#(ie. use with rpm --rebuild):
#
#	--with debug	Compile with debugging code
# 
#  enable build with debugging code: will _not_ strip away any debugging code,
#  will _add_ -g3 to CFLAGS, will _add_ --enable-maintainer-mode to 
#  configure.

%define build_debug 0

# commandline overrides:
# rpm -ba|--rebuild --with 'xxx'
%{?_with_debug: %{expand: %%define build_debug 1}}

%if %{build_debug}
    # disable build root strip policy
    %define __spec_install_post %{_libdir}/rpm/brp-compress || :

    # This gives extra debuggin and huge binaries
    %{expand:%%define optflags %{optflags} %([ ! $DEBUG ] && echo '-g3')}
%endif

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

# perl man page macro
# This is black magic to figure out where perl is going to put the man pages.
# Unfortunately perl -V:installman3dir and friends lie to us in some versions
# of perl.  So we use MakeMaker to retrieve the value it would stick in the
# Makefile and then use a regex to fill in the references to other variables.
# The rest is overloading of various MakeMaker functions to stop it from
# writing Makefiles.and outputing extra crap.  It's possible I didn't get
# everything overridden that will mess with the build enviornment.  It's also
# possible a new perl/MakeMaker version will seriously hose this.  Also fair
# warning there is some ugly escaping going on here since it gets evaluated
# by rpm, the shell and then perl.
%define perl_man3dir %(perl -e 'use ExtUtils::MM; $MM = new ExtUtils::MM({q(NORECURS)=>1}); $m3d = $MM->{INSTALLVENDORMAN3DIR}; $m3d =~ s/\\$\\(([^\\)]+)\\)/$MM->{$1}/g; print "$m3d\\n"; package ExtUtils::MakeMaker; sub flush { return q();}; sub check_manifest { return q();}; package ExtUtils::MM; sub guess_name { return q(foo); } sub parse_version { return q(1.0); }')

# python defines
%define pyver %(python -c 'import sys; print sys.version[:3]')
%define pylibdir %{_libdir}/python%{pyver}/site-packages

#Module-Specific definitions
%define mod_version  %{ap_version}_%{rversion}
%define mod_dav_name mod_dav_svn
%define mod_dav_conf 46_%{mod_dav_name}.conf
%define mod_dav_so %{mod_dav_name}.so
%define mod_authz_name mod_authz_svn
%define mod_authz_conf 47_%{mod_authz_name}.conf
%define mod_authz_so %{mod_authz_name}.so

Summary:	A Concurrent Versioning system similar to but better than CVS.
Name:		%{rname}
Version:	%{rversion}
Release:	%{release}	
License:	BSD
Group:		Development/Other
URL:		http://subversion.tigris.org
Source0:	%{rname}-%{rversion}.tar.bz2
Source1:	%{mod_dav_conf}.bz2
Source2:	%{mod_authz_conf}.bz2

# build requirements
BuildPreReq:	autoconf2.5 >= 2.54
BuildPreReq:	libtool >= 1.4.2
BuildPreReq:	chrpath
BuildPreReq:	python >= 2.2

# info page requirements
BuildPreReq:	texinfo
BuildPreReq:	info-install

# libraries
BuildPreReq:	db4-devel
BuildPreReq:	neon-devel >= 0.24.7 
#BuildPreReq:	zlib-devel
# needed the libapr from it
BuildPreReq:	apache2-devel >= 2.0.48 

# book requirements
BuildPreReq:	libxslt-proc
BuildPreReq:	docbook-style-xsl

# bindings requirements
BuildPreReq:	swig-devel >= 1.3.19 
BuildPreReq:	perl-devel
BuildPreReq:	python-devel >= 2.2
#Standard ADVX requires

BuildPreReq:	ADVX-build >= 1.2
BuildRequires:	%{ap_name}-devel = %{ap_version}

BuildRoot:	%{_tmppath}/%{name}-%{rversion}

# client requires at least one repostiroy access method
# and the following libs, the explicit requires are to
# make sure we pull the current version because while
# in alpha/beta subversion isn't versioning their libs yet.
Requires:	%{rname}-ra-method = %{rversion}-%{release}
Requires:	%{libsvn_client_name} = %{rversion}-%{release}
Requires:	%{libsvn_delta_name} = %{rversion}-%{release}
Requires:	%{libsvn_diff_name} = %{rversion}-%{release}
Requires:	%{libsvn_subr_name} = %{rversion}-%{release}

%description
Subversion is a concurrent version control system which enables one or more
users to collaborate in developing and maintaining a hierarchy of files and
directories while keeping a history of all changes.  Subversion only stores the
differences between versions, instead of every complete file.  Subversion also
keeps a log of who, when, and why changes occured.

As such it basically does the same thing CVS does (Concurrent Versioning
System) but has major enhancements compared to CVS and fixes a lot of the
annoyances that CVS users face.

This package contains the client, if you're looking for the server end
of things you want %{rname}-repos.  You'll want to install
%{libsvn_ra_dav_name} or %{libsvn_ra_local_name} or %{libsvn_ra_svn_name}
to access HTTP/DAV or local or svnserve respositories, respectively.

You can build %{name} with some conditional build swithes;

(ie. use with rpm --rebuild):
--with debug   Compile with debugging code

NOTE: Make sure to read:
%{_docdir}/subversion-repos-%{rversion}/repos_upgrade_HOWTO

%package	client-tools
Summary:	Subversion Client Tools
Group:		Development/Other
Requires:	%{rname} = %{rversion}-%{release}
Conflicts:	%{rname}-tools < %{rversion}-%{release}

%description	client-tools
This package contains a myriad tools for subversion client users:
  * server-vsn.py which tells the version of a subversion server
  * showchange.pl which shows the log and diff for a revision.
  * search-svnlog.pl which searches a svn log.
  * svn_all_diffs.pl
  * svn_load_dirs.pl which helps in loading vendor drops.
  * svn-log.pl which prints out a different 
  * bash_completion support
  * vim syntax hilighting for commit files.
  * vc-svn.el an emacs interface to subversion.
  * psvn.el another emacs interface to subversion.

%package	doc
Summary:	Subversion Documenation
Group:		Development/Other

%description	doc
Subversion is a concurrent version control system which enables
one or more users to collaborate in developing and maintaining a
hierarchy of files and directories while keeping a history of all
changes. Subversion only stores the differences between versions,
instead of every complete file. Subversion also keeps a log of
who, when, and why changes occured.

As such it basically does the same thing CVS does (Concurrent
Versioning System) but has major enhancements compared to CVS and
fixes a lot of the annoyances that CVS users face.

This package contains the subversion book and design info files.

%package	repos
Summary:	Local Repository Access for Subversion
Group:		Development/Other
Requires:	%{libsvn_repos_name} = %{rversion}-%{release}
Requires:	%{libsvn_delta_name} = %{rversion}-%{release}
Requires:	%{libsvn_diff_name} = %{rversion}-%{release}
Requires:	%{libsvn_subr_name} = %{rversion}-%{release}
Requires:	%{libsvn_ra_svn_name} = %{rversion}-%{release}

%description	repos
This package contains the libraries required to allow subversion
to access local repositories. In addition, subversion-client-local
is required for the subversion client (`svn') to utilize these
repositories directly.

This package also includes the `svnadmin' and `svnlook' programs.

NOTE: Make sure to read:
%{_docdir}/subversion-repos-%{rversion}/repos_upgrade_HOWTO

%package	repo-tools
Summary:	Subversion Repo/Server Tools
Group:		Development/Other
Requires:	%{rname}-repos = %{rversion}-%{release}
Conflicts:	%{rname}-tools < %{rversion}-%{release}

%description	repo-tools
This package contains a myriad of tools for subversion server
and repository admins:
  * hot-backup makes a backup of a svn repo without stopping
  * mirror_dir_through_svn.cgi 
  * various hook scripts
  * xslt example 

Note that cvs2svn has moved out of subversion and is a separate
project.  It has not released its own package yet, but you can
find it at http://cvs2svn.tigris.org/

%package -n	%{libsvn_repos_name}
Summary:	Repository libraries for Subversion
Group:		System/Libraries
Provides:	%{libsvn_repos_name} = %{rversion}-%{release}
Conflicts:	%{oldlibname}
Conflicts:	%{oldlibsvn_repos_name}
Requires:	%{libsvn_delta_name} = %{rversion}-%{release}
Requires:	%{libsvn_subr_name} = %{rversion}-%{release}
Requires:	%{rname}-fs = %{rversion}-%{release}

%description -n	%{libsvn_repos_name}
This package contains the libsvn_repos and libsvn_fs libraries
needed to directly access a subversion repository, such as running
a subversion server.

%package -n	%{libsvn_fs_base_name}
Summary:	FS implmenetation using BDB for Subversion.
Group:		System/Libraries
Provides:	%{libsvn_fs_base_name} = %{rversion}-%{release}
Provides:	%{rname}-fs = %{rversion}-%{release}

%description -n %{libsvn_fs_base_name}
This package contains the libsvn_fs_base library needed to access
a subversion repository stored in BDB.

%package -n	%{libsvn_fs_fs_name}
Summary:	FS implmenetation using FSFS backend for Subversion.
Group:		System/Libraries
Provides:	%{libsvn_fs_fs_name} = %{rversion}-%{release}
Provides:	%{rname}-fs = %{rversion}-%{release}

%description -n %{libsvn_fs_fs_name}
This package contains the libsvn_fs_fs library needed to access
a subversion repository stored in the FSFS backend.

%package -n	%{libsvn_subr_name}
Summary:	Subroutine library for Subversion
Group:		System/Libraries
Provides:	%{libsvn_subr_name} = %{rversion}-%{release}
Conflicts:	%{oldlibname}
Conflicts:	%{oldlibsvn_subr_name}

%description -n	%{libsvn_subr_name}
This package contains the libsvn_subr library which contains miscelaneous
helpful subroutines used by subversion components.

%package -n	%{libsvn_client_name}
Summary:	Client librares for Subversion
Group:		System/Libraries
Provides:	%{libsvn_client_name} = %{rversion}-%{release}
Provides:	%{rname}-client-common
Obsoletes:	%{rname}-client-common
Conflicts:	%{oldlibname}
Conflicts:	%{oldlibsvn_client_name}
Requires:	%{libsvn_delta_name} = %{rversion}-%{release}
Requires:	%{libsvn_diff_name} = %{rversion}-%{release}
Requires:	%{libsvn_subr_name} = %{rversion}-%{release}

%description -n	%{libsvn_client_name}
This package contains the libsvn_client, libsvn_ra and libsvn_wc
libraries needed to use a subversion client.

%package -n	%{libsvn_delta_name}
Summary:	Delta library for Subversion
Group:		System/Libraries
Provides:	%{libsvn_delta_name} = %{rversion}-%{release}
Conflicts:	%{oldlibname}
Conflicts:	%{oldlibsvn_delta_name}
Requires:	%{libsvn_subr_name} = %{rversion}-%{release}

%description -n	%{libsvn_delta_name}
This package contains the libsvn_delta library used by subversion
components.

%package -n	%{libsvn_diff_name}
Summary:	Diff library for Subversion
Group:		System/Libraries
Provides:	%{libsvn_diff_name} = %{rversion}-%{release}
Conflicts:	%{oldlibname}
Conflicts:	%{oldlibsvn_diff_name}
Requires:	%{libsvn_subr_name} = %{rversion}-%{release}

%description -n	%{libsvn_diff_name}
This package contains the libsvn_diff library used by subversion
components.

%package -n	%{libsvn_ra_local_name}	
Summary:	Local Repository Access for the Subversion Client
Group:		System/Libraries	
Provides:	%{rname}-ra-method = %{rversion}-%{release}
Provides:	%{rname}-client-local
Obsoletes:	%{rname}-client-local
Conflicts:	%{oldlibsvn_ra_local_name}
Requires:	%{libsvn_repos_name} = %{rversion}-%{release}
Requires:	%{libsvn_delta_name} = %{rversion}-%{release}
Requires:	%{libsvn_subr_name} = %{rversion}-%{release}


%description -n	%{libsvn_ra_local_name}
This package contains the libraries required to allow the
subversion client (`svn') to access local subversion repositories.

%package -n	%{libsvn_ra_dav_name}
Summary:	HTTP/DAV Repository Access for the Subversion Client
Group:		System/Libraries
Provides:	%{rname}-ra-method = %{rversion}-%{release}
Provides:	%{rname}-client-dav
Obsoletes:	%{rname}-client-dav
Conflicts:	%{oldlibsvn_ra_dav_name}
Requires:	%{libsvn_delta_name} = %{rversion}-%{release}
Requires:	%{libsvn_subr_name} = %{rversion}-%{release}

%description -n	%{libsvn_ra_dav_name}
This package contains the libraries required to allow the
subversion client (`svn') to access http/dav subversion
repositories.

%package -n	%{libsvn_ra_svn_name}	
Summary:	Repository Access via svnserve for the Subversion Client
Group:		System/Libraries	
Provides:	%{rname}-ra-method = %{rversion}-%{release}
Provides:	%{rname}-client-svn
Obsoletes:	%{rname}-client-svn
Provides:	%{rname}-client-svnserve
Obsoletes:	%{rname}-client-svnserve
Conflicts:	%{oldlibsvn_ra_svn_name}
Requires:	%{libsvn_delta_name} = %{rversion}-%{release}
Requires:	%{libsvn_subr_name} = %{rversion}-%{release}

%description -n	%{libsvn_ra_svn_name}
This package contains the libraries required to allow the
subversion client (`svn') to access svnserve subversion
repositories.

%package -n	python-svn
Summary:	Python Bindings for Subversion
Group:		Development/Other
Requires:	%{libsvn_repos_name} = %{rversion}-%{release}
Requires:	%{libsvn_subr_name} = %{rversion}-%{release}
Requires:	%{libsvn_client_name} = %{rversion}-%{release}
Requires:	%{libsvn_delta_name} = %{rversion}-%{release}
Requires:	%{libsvn_diff_name} = %{rversion}-%{release}
Requires:	%{libsvn_ra_local_name} = %{rversion}-%{release}
Requires:	%{libsvn_ra_dav_name} = %{rversion}-%{release}
Requires:	%{libsvn_ra_svn_name} = %{rversion}-%{release}
Provides:	%{rname}-python = %{rversion}-%{release}
Obsoletes:	%{rname}-python
Provides:	python-subversion = %{rversion}-%{release}

%description -n	python-svn
This package contains the files necessary to use the subversion
library functions within python scripts.

%package -n	python-svn-devel
Summary:	Python Bindings for Subversion Development Files
Group:		Development/Other
Requires:	python-svn = %{rversion}-%{release}
Provides:	python-subversion-devel = %{rversion}-%{release}

%description -n python-svn-devel
This package contains the .la files for the python bindings for
subversion.  It's likely nobody will ever need these.

%package -n	python-svn-static-devel
Summary:	Python Bindings for Subversion Static Libraries 
Group:		Development/Other
Requires:	python-svn-devel = %{rversion}-%{release}
Provides:	python-subversion-static-devel = %{rversion}-%{release}

%description -n python-svn-static-devel
This package contains the static libraries for the python bindings for
subversion.  It's likely nobody will ever need these.

%package -n	perl-SVN
Summary:	Perl Bindings for Subversion
Group:		Development/Perl
Requires:	%{libsvn_repos_name} = %{rversion}-%{release}
Requires:	%{libsvn_subr_name} = %{rversion}-%{release}
Requires:	%{libsvn_client_name} = %{rversion}-%{release}
Requires:	%{libsvn_delta_name} = %{rversion}-%{release}
Requires:	%{libsvn_diff_name} = %{rversion}-%{release}
Requires:	%{libsvn_ra_local_name} = %{rversion}-%{release}
Requires:	%{libsvn_ra_dav_name} = %{rversion}-%{release}
Requires:	%{libsvn_ra_svn_name} = %{rversion}-%{release}
Provides:	perl-%{name} = %{rversion}-%{release}

%description -n	perl-SVN
This package contains the files necessary to use the subversion
library functions within perl scripts.

%package -n	perl-SVN-devel
Summary:	Perl Bindings for Subversion Development Files 
Group:		Development/Other
Requires:	perl-SVN = %{rversion}-%{release}      
Provides:	perl-SVN-devel = %{rversion}-%{release}

%description -n perl-SVN-devel
This package contains the .so files for the perl bindings for
subversion.  It's likely nobody will ever need these.

%package -n	%{libname}-devel
Summary:	Subversion Headers/Libraries for Development
Group:		Development/Other
Requires:	%{libsvn_repos_name} = %{rversion}-%{release}
Requires:	%{libsvn_subr_name} = %{rversion}-%{release}
Requires:	%{libsvn_client_name} = %{rversion}-%{release}
Requires:	%{libsvn_delta_name} = %{rversion}-%{release}
Requires:	%{libsvn_diff_name} = %{rversion}-%{release}
Requires:	%{libsvn_ra_local_name} = %{rversion}-%{release}
Requires:	%{libsvn_ra_dav_name} = %{rversion}-%{release}
Requires:	%{libsvn_ra_svn_name} = %{rversion}-%{release}
Provides:	lib%{rname}-devel = %{rversion}-%{release}
Conflicts:	%{oldlibname}-devel

%description -n %{libname}-devel
This package contains the header files and linker scripts for
subversion libraries.

%package -n	%{libname}-static-devel
Summary:	Static Subversion Libraries for Development
Group:		Development/Other
Requires:	%{libsvn_repos_name} = %{rversion}-%{release}
Requires:	%{libsvn_subr_name} = %{rversion}-%{release}
Requires:	%{libsvn_client_name} = %{rversion}-%{release}
Requires:	%{libsvn_delta_name} = %{rversion}-%{release}
Requires:	%{libsvn_diff_name} = %{rversion}-%{release}
Requires:	%{libsvn_ra_local_name} = %{rversion}-%{release}
Requires:	%{libsvn_ra_dav_name} = %{rversion}-%{release}
Requires:	%{libsvn_ra_svn_name} = %{rversion}-%{release}
Provides:	lib%{rname}-static-devel = %{rversion}-%{release}
Conflicts:	%{oldlibname}-static-devel

%description -n	%{libname}-static-devel
This package contains the static files for subversion libraries.

%package -n	%{ap_name}-%{mod_dav_name}
Summary:	Subversion Server DSO Module for %{ap_name}
Version:	%{mod_version}	
Group:		System/Servers
Requires:	%{libsvn_repos_name} = %{rversion}-%{release}
Requires:	%{libsvn_delta_name} = %{rversion}-%{release}
Requires:	%{libsvn_subr_name} = %{rversion}-%{release}
Requires:	%{ap_name}-mod_dav >= %{ap_version}
Provides: 	ADVXpackage
Provides:	AP20package

%description -n	%{ap_name}-%{mod_dav_name}
Subversion is a concurrent version control system which enables
one or more users to collaborate in developing and maintaining a
hierarchy of files and directories while keeping a history of all
changes. Subversion only stores the differences between versions,
instead of every complete file. Subversion also keeps a log of
who, when, and why changes occured.

As such it basically does the same thing CVS does (Concurrent
Versioning System) but has major enhancements compared to CVS and
fixes a lot of the annoyances that CVS users face.

This package contains the apache2 server extension DSO for running
a subversion server.

%package -n	%{ap_name}-%{mod_authz_name}
Summary:	Subversion Server Authorization DSO Module for %{ap_name}
Version:	%{mod_version}
Group:		System/Servers
Requires:	%{libsvn_subr_name} = %{rversion}-%{release}
Requires:	%{ap_name}-%{mod_dav_name} = %{mod_version}
Provides: 	ADVXpackage
Provides:	AP20package
Conflicts: 	%{ap_name}-%{mod_dav_name} < %{mod_version}

%description -n	%{ap_name}-%{mod_authz_name}
Subversion is a concurrent version control system which enables
one or more users to collaborate in developing and maintaining a
hierarchy of files and directories while keeping a history of all
changes. Subversion only stores the differences between versions,
instead of every complete file. Subversion also keeps a log of
who, when, and why changes occured.

As such it basically does the same thing CVS does (Concurrent
Versioning System) but has major enhancements compared to CVS and
fixes a lot of the annoyances that CVS users face.

This package contains the apache2 server extension DSO for authorization,
i.e. read and write permissions to a repository.


%prep
%setup -q -n %{rname}-%{rversion}

%build

export WANT_AUTOCONF_2_5="1"

#./autogen.sh

%configure2_5x \
%if %{build_debug}
    --enable-maintainer-mode \
%endif
    --with-apxs=%{apxs} \
    --with-apr=%{_prefix} \
    --with-apr-util=%{_prefix} \
    --with-neon=%{_prefix} \
    --with-berkeley-db=%{_prefix} \
    --with-swig=%{_prefix} \
    --enable-shared \
    --enable-dso \
    --disable-mod-activation

# The subversion authors sometimes forget to do a make clean on their
# shipped versions and then end up with some files in the trees that
# shouldn't be there e.g. .info files.  This makes sure we have a 
# clean build that builds everything.
%make clean

%make

%make doc-all-info

%make swig-py

# build perl bindings.
%make swig-pl-lib
pushd subversion/bindings/swig/perl/native
# Build without installing the libs.
%if %mdkversion <= 910
	%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix}
%else
	%{__perl} Makefile.PL INSTALLDIRS=vendor
%endif
%make
# don't run make test it will fail becauaes it doesn't know to look
# for the libs in ../.libs
popd

pushd doc/book 
# the perl script works around a bug in the html-stylesheet.xsl
%{__perl} -pi -e 's#href="xsl/(html/docbook.xsl)"#href="%{_datadir}/sgml/docbook/xsl-stylesheets/$1"#;' tools/html-stylesheet.xsl
%{__perl} -pi -e 's#href="xsl/(html/chunk.xsl)"#href="%{_datadir}/sgml/docbook/xsl-stylesheets/$1"#;' tools/chunk-stylesheet.xsl
%make all-html
popd


%install
%{__rm} -rf %{buildroot}

# Fixup python sh'bang lines that have python2 or python2.2
%{__perl} -pi -e 's|^(#!/usr/bin/env python).*?(\s+.*?)$|$1$2|' tools/hook-scripts/*.py tools/examples/*.py tools/hook-scripts/mailer/*.py

%makeinstall_std install-swig-py

%makeinstall_std install-swig-pl-lib
# perl bindings
pushd subversion/bindings/swig/perl/native
%if %mdkversion <= 910
	%makeinstall_std PREFIX=$RPM_BUILD_ROOT%{_prefix}
%else
	%makeinstall_std
%endif
popd

# The install isn't installing the info files now, I tried patching the 
# Makefile to get it to and couldn't get it to work.  So I give up and
# did it myself.  Maybe they'll fix it sometime in the future.
%{__install} -m644 doc/programmer/design/svn-design.info %{buildroot}%{_infodir}
[ -r doc/programmer/design/svn-design.info-1 ] && %{__install} -m644 doc/programmer/design/svn-design.info-1 %{buildroot}%{_infodir}
[ -r doc/programmer/design/svn-design.info-2 ] && %{__install} -m644 doc/programmer/design/svn-design.info-2 %{buildroot}%{_infodir}
[ -r doc/programmer/design/svn-design.info-3 ] && %{__install} -m644 doc/programmer/design/svn-design.info-3 %{buildroot}%{_infodir}


%{__install} -d %{buildroot}%{pylibdir}
%{__mv} %{buildroot}%{_libdir}/svn-python/svn %{buildroot}%{pylibdir}/
%{__mv} %{buildroot}%{_libdir}/svn-python/libsvn %{buildroot}%{pylibdir}/

# workaround %%ADVXinstlib
%{__install} -d %{buildroot}%{ap_extralibs}
%{__mv} -f %{buildroot}%{ap_libexecdir}/%{mod_dav_so} %{buildroot}%{ap_extralibs}/%{mod_dav_so}
%{__mv} -f %{buildroot}%{ap_libexecdir}/%{mod_authz_so} %{buildroot}%{ap_extralibs}/%{mod_authz_so}

%ADVXinstconf %{SOURCE1} %{mod_dav_conf}
%ADVXinstconf %{SOURCE2} %{mod_authz_conf}

######################
###  client-tools  ###
######################

# vim syntax hilighting
%if %mdkversion <= 910
    # Already included in vim-common on 9.2 and newer.
    %{__install} -d -m 755 %{buildroot}/%{_datadir}/vim/syntax
    %{__install} -m 644 contrib/client-side/svn.vim %{buildroot}/%{_datadir}/vim/syntax
%endif

# emacs vc interface
%{__install} -d -m 755 %{buildroot}/%{_datadir}/emacs/site-lisp
%{__install} -m 644 contrib/client-side/vc-svn.el %{buildroot}/%{_datadir}/emacs/site-lisp

# psvn
%{__install} -m 644 contrib/client-side/psvn/psvn.el %{buildroot}/%{_datadir}/emacs/site-lisp

# various commands
%{__install} -m 755 contrib/client-side/search-svnlog.pl %{buildroot}%{_bindir}
(cd  %{buildroot}/%{_bindir}; %{__ln_s} search-svnlog.pl search-svnlog)
%{__install} -m 755 contrib/client-side/svn_all_diffs.pl %{buildroot}%{_bindir}
(cd  %{buildroot}/%{_bindir}; %{__ln_s} svn_all_diffs.pl svn_all_diffs)
%{__install} -m 755 contrib/client-side/svn_load_dirs.pl %{buildroot}%{_bindir}
(cd  %{buildroot}/%{_bindir}; %{__ln_s} svn_load_dirs.pl svn_load_dirs)
%{__install} -m 755 contrib/client-side/svn-log.pl %{buildroot}%{_bindir}
(cd  %{buildroot}/%{_bindir}; %{__ln_s} svn-log.pl svn-log)
%{__install} -m 755 tools/client-side/server-vsn.py %{buildroot}%{_bindir}
(cd  %{buildroot}/%{_bindir}; %{__ln_s} server-vsn.py server-vsn)
%{__install} -m 755 tools/client-side/showchange.pl %{buildroot}%{_bindir}
(cd  %{buildroot}/%{_bindir}; %{__ln_s} showchange.pl showchange)

# bash completion
%{__install} -d -m 755 %{buildroot}%{_sysconfdir}/bash_completion.d
%{__install} -m 644 tools/client-side/bash_completion %{buildroot}%{_sysconfdir}/bash_completion.d/svn


####################
###  repo-tools  ###
####################

# hotbackup tool
%{__install} -m 755 tools/backup/hot-backup.py %{buildroot}%{_bindir}
(cd %{buildroot}%{_bindir}; %{__ln_s} hot-backup.py hot-backup)

# hook-scripts
%{__install} -d -m755 %{buildroot}%{_datadir}/%{rname}-%{rversion}/repo-tools/hook-scripts
%{__install} -m 644 tools/hook-scripts/commit-access-control.cfg.example %{buildroot}/%{_datadir}/%{rname}-%{rversion}/repo-tools/hook-scripts
%{__install} -m 755 tools/hook-scripts/commit-access-control.pl %{buildroot}/%{_datadir}/%{rname}-%{rversion}/repo-tools/hook-scripts
%{__install} -m 755 tools/hook-scripts/commit-email.pl %{buildroot}/%{_datadir}/%{rname}-%{rversion}/repo-tools/hook-scripts
%{__install} -m 755 tools/hook-scripts/propchange-email.pl %{buildroot}/%{_datadir}/%{rname}-%{rversion}/repo-tools/hook-scripts
%{__install} -m 644 tools/hook-scripts/svnperms.conf.example %{buildroot}/%{_datadir}/%{rname}-%{rversion}/repo-tools/hook-scripts
%{__install} -m 755 tools/hook-scripts/svnperms.py %{buildroot}/%{_datadir}/%{rname}-%{rversion}/repo-tools/hook-scripts
%{__install} -m 755 tools/hook-scripts/mailer/mailer.py %{buildroot}/%{_datadir}/%{rname}-%{rversion}/repo-tools/hook-scripts
%{__install} -m 644 tools/hook-scripts/mailer/mailer.conf.example %{buildroot}/%{_datadir}/%{rname}-%{rversion}/repo-tools/hook-scripts
%{__install} -m 644 tools/hook-scripts/README %{buildroot}/%{_datadir}/%{rname}-%{rversion}/repo-tools/hook-scripts

#xslt
%{__install} -d -m755 %{buildroot}%{_datadir}/%{rname}-%{rversion}/repo-tools/xslt
%{__install} -m 644 tools/xslt/svnindex.css %{buildroot}%{_datadir}/%{rname}-%{rversion}/repo-tools/xslt
%{__install} -m 644 tools/xslt/svnindex.xsl %{buildroot}%{_datadir}/%{rname}-%{rversion}/repo-tools/xslt

#cgi
%{__install} -d -m755 %{buildroot}%{_datadir}/%{rname}-%{rversion}/repo-tools/cgi
%{__install} -m 755 contrib/cgi/mirror_dir_through_svn.cgi %{buildroot}%{_datadir}/%{rname}-%{rversion}/repo-tools/cgi
%{__install} -m 644 contrib/cgi/mirror_dir_through_svn.README %{buildroot}%{_datadir}/%{rname}-%{rversion}/repo-tools/cgi
%{__install} -m 755 contrib/cgi/tweak-log.cgi %{buildroot}%{_datadir}/%{rname}-%{rversion}/repo-tools/cgi

# "install" the html docs...
pushd doc/book
    %{__make} BOOK_INSTALL_DIR="../../html" install-book-html install-book-html-chunk
    find ../../html -type f | xargs %{__chmod} 644
popd

# install a nice icon for web usage
%{__install} -d %{buildroot}/var/www/icons
%{__install} -m644 notes/logo/256-colour/subversion_logo_hor-237x32.png %{buildroot}/var/www/icons/subversion.png

# fix a missing file...
%{__ln_s}nf libsvn_diff-1.so.0.0.0 %{buildroot}%{_libdir}/libsvn_diff.so

# install svn-config
%{__install} -m755 svn-config %{buildroot}%{_bindir}

# fix the stupid rpath stuff...
find %{buildroot}%{_bindir} -regex '.*\.\(pl\|py\)$' -prune -o -type f -print | xargs chrpath -d
find %{buildroot}%{_libdir} -type f -name "*.so*" | xargs chrpath -d
find %{buildroot}%{pylibdir} -type f -name "*.so" | xargs chrpath -d
find %{buildroot}%{perl_vendorarch} -type f -name "*.so" | xargs chrpath -d

# handle translations
%find_lang %{name}

%post doc
%_install_info svn-design.info
%_install_info svn-handbook.info

%postun doc
%_install_info svn-design.info
%_install_info svn-handbook.info

%post -n %{libname}-devel -p /sbin/ldconfig

%postun -n %{libname}-devel -p /sbin/ldconfig

%post -n %{name}-repos -p /sbin/ldconfig

%postun -n %{name}-repos -p /sbin/ldconfig

%post -n %{libsvn_repos_name} -p /sbin/ldconfig

%postun -n %{libsvn_repos_name} -p /sbin/ldconfig

%post -n %{libsvn_fs_base_name} -p /sbin/ldconfig

%postun -n %{libsvn_fs_base_name} -p /sbin/ldconfig

%post -n %{libsvn_fs_fs_name} -p /sbin/ldconfig

%postun -n %{libsvn_fs_fs_name} -p /sbin/ldconfig

%post -n %{libsvn_subr_name} -p /sbin/ldconfig

%postun -n %{libsvn_subr_name} -p /sbin/ldconfig

%post -n %{libsvn_client_name} -p /sbin/ldconfig

%postun -n %{libsvn_client_name} -p /sbin/ldconfig

%post -n %{libsvn_delta_name} -p /sbin/ldconfig

%postun -n %{libsvn_delta_name} -p /sbin/ldconfig

%post -n %{libsvn_diff_name} -p /sbin/ldconfig

%postun -n %{libsvn_diff_name} -p /sbin/ldconfig

%post -n %{libsvn_ra_local_name} -p /sbin/ldconfig

%postun -n %{libsvn_ra_local_name} -p /sbin/ldconfig

%post -n %{libsvn_ra_dav_name} -p /sbin/ldconfig

%postun -n %{libsvn_ra_dav_name} -p /sbin/ldconfig

%post -n %{libsvn_ra_svn_name} -p /sbin/ldconfig

%postun -n %{libsvn_ra_svn_name} -p /sbin/ldconfig

%post -n python-svn -p /sbin/ldconfig

%postun -n python-svn -p /sbin/ldconfig

%post -n python-svn-devel -p /sbin/ldconfig

%postun -n python-svn-devel -p /sbin/ldconfig

%post -n perl-SVN -p /sbin/ldconfig

%postun -n perl-SVN -p /sbin/ldconfig

%post -n perl-SVN-devel -p /sbin/ldconfig

%postun -n perl-SVN-devel -p /sbin/ldconfig


%post -n %{ap_name}-%{mod_dav_name}
%ADVXpost

%postun -n %{ap_name}-%{mod_dav_name}
%ADVXpost

%post -n %{ap_name}-%{mod_authz_name}
%ADVXpost

%postun -n %{ap_name}-%{mod_authz_name}
%ADVXpost

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc BUGS CHANGES COMMITTERS COPYING HACKING INSTALL README
%{_bindir}/svn
%{_bindir}/svnversion
%{_mandir}/man1/svn.1*
%{_mandir}/man1/svnversion.1*

%files client-tools
%defattr(-,root,root)
%doc contrib/client-side/svn_load_dirs_property_table.example
%doc contrib/client-side/svn_load_dirs.README
%if %mdkversion <= 910
    # Already included in vim-common on 9.2 and newer.
    %{_datadir}/vim/syntax/svn.vim
%endif
%{_datadir}/emacs/site-lisp/vc-svn.el
%{_datadir}/emacs/site-lisp/psvn.el
%{_bindir}/server-vsn*
%{_bindir}/showchange*
%{_bindir}/search-svnlog*
%{_bindir}/svn_all_diffs*
%{_bindir}/svn_load_dirs*
%{_bindir}/svn-log*
%config(noreplace) %{_sysconfdir}/bash_completion.d/svn

%files doc
%defattr(-,root,root)
%doc html/*
%attr(0644,root,root) %{_infodir}/*

%files repos
%defattr(-,root,root)
%doc BUGS CHANGES COMMITTERS COPYING HACKING INSTALL README
%doc notes/repos_upgrade_HOWTO
%{_bindir}/svnadmin
%{_bindir}/svnlook
%{_bindir}/svnserve
%{_bindir}/svndumpfilter
%{_mandir}/man1/svnadmin.1*
%{_mandir}/man1/svnlook.1*
%{_mandir}/man8/svnserve.8*
%{_mandir}/man5/svnserve.conf.5*
%{_mandir}/man1/svndumpfilter.1*

%files repo-tools
%defattr(-,root,root)
%{_bindir}/hot-backup*
%dir %{_datadir}/%{name}-%{rversion}
%{_datadir}/%{name}-%{rversion}/repo-tools/cgi/mirror_dir_through_svn.README
%{_datadir}/%{name}-%{rversion}/repo-tools/cgi/mirror_dir_through_svn.cgi
%{_datadir}/%{name}-%{rversion}/repo-tools/cgi/tweak-log.cgi
%{_datadir}/%{name}-%{rversion}/repo-tools/xslt/svnindex.css
%{_datadir}/%{name}-%{rversion}/repo-tools/xslt/svnindex.xsl
%{_datadir}/%{name}-%{rversion}/repo-tools/hook-scripts/commit-access-control.cfg.example
%{_datadir}/%{name}-%{rversion}/repo-tools/hook-scripts/commit-access-control.pl
%{_datadir}/%{name}-%{rversion}/repo-tools/hook-scripts/commit-email.pl
%{_datadir}/%{name}-%{rversion}/repo-tools/hook-scripts/mailer.conf.example
%{_datadir}/%{name}-%{rversion}/repo-tools/hook-scripts/mailer.py
%{_datadir}/%{name}-%{rversion}/repo-tools/hook-scripts/propchange-email.pl
%{_datadir}/%{name}-%{rversion}/repo-tools/hook-scripts/svnperms.conf.example
%{_datadir}/%{name}-%{rversion}/repo-tools/hook-scripts/svnperms.py
%{_datadir}/%{name}-%{rversion}/repo-tools/hook-scripts/README

%files -n %{libsvn_repos_name}
%defattr(-,root,root)
%{_libdir}/libsvn_repos-*.so.*
%{_libdir}/libsvn_fs-*so.*

%files -n %{libsvn_fs_base_name}
%defattr(-,root,root)
%{_libdir}/libsvn_fs_base-*.so.*

%files -n %{libsvn_fs_fs_name}
%defattr(-,root,root)
%{_libdir}/libsvn_fs_fs-*.so.*

%files -n %{libsvn_subr_name}
%defattr(-,root,root)
%{_libdir}/libsvn_subr-*so.*

%files -n %{libsvn_client_name}
%defattr(-,root,root)
%{_libdir}/libsvn_client*so.*
%{_libdir}/libsvn_ra-*so.*
%{_libdir}/libsvn_wc-*so.*

%files -n %{libsvn_delta_name}
%defattr(-,root,root)
%{_libdir}/libsvn_delta-*so.*

%files -n %{libsvn_diff_name}
%defattr(-,root,root)
%{_libdir}/libsvn_diff-*so.*


%files -n %{libsvn_ra_local_name} 
%defattr(-,root,root)
%{_libdir}/libsvn_ra_local-*so.*

%files -n %{libsvn_ra_dav_name}
%defattr(-,root,root)
%{_libdir}/libsvn_ra_dav-*so.*

%files -n %{libsvn_ra_svn_name} 
%defattr(-,root,root)
%{_libdir}/libsvn_ra_svn-*.so.*

%files -n python-svn
%defattr(-,root,root)
%doc subversion/bindings/swig/INSTALL subversion/bindings/swig/README
%doc tools/examples/*.py
%{_libdir}/libsvn_swig_py*.so.*
%dir %{pylibdir}/svn
%{pylibdir}/svn/*.py*
%dir %{pylibdir}/libsvn
%{pylibdir}/libsvn/*.py*
%{pylibdir}/libsvn/*.so

%files -n python-svn-devel
%defattr(-,root,root)
%{pylibdir}/libsvn/*.la
%{_libdir}/libsvn_swig_py*.so

%files -n python-svn-static-devel
%defattr(-,root,root)
%{pylibdir}/libsvn/*.a

%files -n perl-SVN
%defattr(-,root,root)
%doc subversion/bindings/swig/INSTALL subversion/bindings/swig/README
%{_libdir}/libsvn_swig_perl*.so.*
%dir %{perl_vendorarch}/SVN
%{perl_vendorarch}/SVN/*
%dir %{perl_vendorarch}/auto/SVN
%{perl_vendorarch}/auto/SVN/*
%{perl_man3dir}/SVN::*.3*

%files -n perl-SVN-devel
%defattr(-,root,root)
%{_libdir}/libsvn_swig_perl*.so

%files -n %{libname}-devel
%defattr(-,root,root)
%doc tools/examples/minimal_client.c
%{_bindir}/svn-config
%{_libdir}/libsvn*.la
%{_includedir}/subversion*/*
%{_libdir}/libsvn_repos-*.so
%{_libdir}/libsvn_fs-*.so
%{_libdir}/libsvn_fs_base-*.so
%{_libdir}/libsvn_fs_fs-*.so
%{_libdir}/libsvn_subr-*.so
%{_libdir}/libsvn_client-*.so
%{_libdir}/libsvn_ra-*.so
%{_libdir}/libsvn_wc-*.so
%{_libdir}/libsvn_delta-*.so
%{_libdir}/libsvn_diff-*.so
# why libsvn_diff has both files is
# unclear but it's there.
%{_libdir}/libsvn_diff.so
%{_libdir}/libsvn_ra_local-*.so
%{_libdir}/libsvn_ra_dav-*.so
%{_libdir}/libsvn_ra_svn-*.so

%files -n %{libname}-static-devel
%defattr(-,root,root)
%{_libdir}/libsvn*.a

%files -n %{ap_name}-%{mod_dav_name}
%defattr(-,root,root)
%config(noreplace) %{ap_confd}/%{mod_dav_conf}
%{ap_extralibs}/%{mod_dav_so}
%{ap_datadir}/icons/subversion.png

%files -n %{ap_name}-%{mod_authz_name}
%defattr(-,root,root)
%doc subversion/%{mod_authz_name}/INSTALL
%config(noreplace) %{ap_confd}/%{mod_authz_conf}
%{ap_extralibs}/%{mod_authz_so}

%changelog
* Thu Oct 07 2004 Ben Reser <ben@reser.org> 1.1.0-1mdk
- 1.1.0
- Fix bindings build for changes in 1.1.0
- Add libsvn_fs_base and libsvn_fs_fs packages to allow users
  using the fsfs backend to avoid the bdb dependency.

* Wed Sep 22 2004 Ben Reser <ben@reser.org> 1.0.8-1mdk
- 1.0.8 (security fix for CAN-2004-0749)

* Sat Sep 18 2004 Ben Reser <ben@reser.org> 1.0.7-1mdk
- 1.0.7 
- Built against Berkely DB 4.2.  Users using previous
  packages should dump their repos before installing.

* Tue Jul 20 2004 Ben Reser <ben@reser.org> 1.0.6-1mdk
- 1.0.6 (includes a minor security fix)
- libneon >= 0.24.7 is now needed. 

* Thu Jun 10 2004 Ben Reser <ben@reser.org> 1.0.5-1mdk
- 1.0.5 (security fix for CAN-2004-0413)

* Wed May 19 2004 Ben Reser <ben@reser.org> 1.0.3-1mdk
- 1.0.3 (security fix for CAN-2004-0397)

* Tue Apr 27 2004 Ben Reser <ben@reser.org> 1.0.2-1mdk
- 1.0.2

* Sat Mar 13 2004 Ben Reser <ben@reser.org> 1.0.1-1mdk
- 1.0.1
- Remove the editor config that makes it default to nano.
- cvs2svn is no longer part of subversion and has split off 
  onto its own project at http://cvs2svn.tigris.org/
  I'll package it as soon as it releases something.  Due to
  the fast amount of development it is better to check it out
  of the svn repository now.
- Remove obsolete auth_provider examples.
- Fixup python sh'bang lines on some scripts.

* Fri Feb 20 2004 Ben Reser <ben@reser.org> 1.0.0-1mdk
- 1.0.0
- Cleanup dependencies.
- Fix python bindings to install in the proper place on amd64.
- cvs2svn manpage has been removed from subversion, it was out of date.
- Update library versioning for 1.0 naming.
- Don't install the doc dir for the authz module.
- Conflict lib packages with 0 majors for easier upgrading.
- Conflict with old style naming now.
- Turn off zlib support.  It's not really used and is broken on amd64.
  (Issue #1753 in subversions issue tracker)

* Sat Jan 24 2004 Ben Reser <ben@reser.org> 0.37.0-1mdk
- 0.37.0 (1.0 coming soon woo!)
- XSL_DIR no longer used for building the documentation.
- Fix depedencies on the python packages.
- SWIG 1.3.19 or newer is now required.
- Add a perl-SVN-devel package.
- Perl bindings lib needs chrpath now.
- Drop patch to build against SWIG 1.3.20, integrated
  upstream.

* Tue Jan 13 2004 Ben Reser <ben@reser.org> 0.36.0-1mdk
- 0.36.0
- Drop the ugly hack to work around the DSO issue, it now
  looks for .so.0 files.  That also means .so symlinks
  are now all in the -devel pacakge.
- Patch for building bindings against SWIG 1.3.20 and
  newer

* Fri Dec 19 2003 Ben Reser <ben@reser.org> 0.35.0-0.92.1mdk
- 0.35.0
- Drop perlbindings patch, merged upstream.
- Clean up chrpath from the libraries properly for 0.35.0

* Wed Dec 10 2003 Ben Reser <ben@reser.org> 0.34.0-1mdk
- 0.34.0
- WARNING 0.34.0 MAKES AN INCOMPATABLE CHANGE IN THE SUBVERSION
  DATABASE.  YOU MUST DUMP YOUR REPOSITORIES BEFORE UPGRADING
  AND LOAD THEM AGAIN AFTER.  SEE repops_upgrade_HOWTO FOR
  INSTRUCTIONS.
- General cleanup to make it easier to maintain.
- Rename subversion-python to python-svn to be consistent 
  with the python naming policy.
- Move python libs stuff out of the %{libname}-devel and 
  %{libname}-static-devel packages into their own python
  specific packages.  To avoid pulling python
  in to have the -devel and -static-devel packages
- Work around a bug in the docbook build process that breaks when using
  the docbook style sheets installed outside the build tree.
- split tools into client-tools and repo-tools.
- client-tools now installs the bash_completion, vim syntax hilighting and
  emacs interfaces to their appropriate locations, if the version of the
  distro doesn't already have them.
- perl and python scripts are now installed with the .pl and .py extension
  with symlinks from their names without the extension to allow users
  following along in the book to find them easily.
- No longer ship development tests and other development tools that are
  unlikely to be of any use to anyone using this rpm in the tools packages.
- python binding example scripts move to the python-svn-devel package.
- Remove rcsparse.py it's now included in the subversion source.
- cvs2svn is no longer in the python bindings as it no longer requires them.
  It is now part of the repo-tools package.
- Remove Source5 (repos_upgrade_HOWTO) it's now included in the subversion
  source. 
- Move book and info files to subversion-doc.
- Ditch unnecessary diffutils requirement.
- Rework the split of the package.  It now complies better with the 
  lib policy and doesn't pull in unnecessary files.  This means the 
  the client programs are in the subversion package, client-local 
  moves to libsvn_ra_local0, client-dav moves to libsvn_ra_dav0,
  the svn ra lib is no longer included with the client and moves to
  libsvn_ra_svn0.  libsvn_wc, libsvn_ra and libsvn_client move to
  libsvn_client0.  libsvn_delta, libsvn_diff, and libsvn_subr each
  get their own package as they are required by both client and servers.
  libsvn_repos and libvsn_fs move to libsvn_repos0.  All appropriate
  devel files are in libsubversion0-devel and libsubversion-static-devel.
  However, libsubversion0 no longer exists as an individual package.
  Other clients shoudl require libsubversion-devel to build, as this
  pulls in the appropriate lib packages as well.  Automatic requires
  should handle the libs at runtime.  
- C example programs move to libsubversion0-devel.
- libsvn_ra_* packages provide subversion-ra-method.  Clients should
  require this to ensure they have at least one repository access
  method library.  This makes urpmi subversion very friendly. :)
- move the .so files that aren't being used as dso (non ra method libs)
  into the devel package.
- Fix the provide and require exceptions to work on 64-bit archs.
- drop requirement on subversion-repo from the mod_dav_svn
  apache module package.
- Fix the patch to build the perl modules due to the addition
  of libsvn_diff
- Use %%{ap_datadir} instead of hard coding /var/www/
- clean out the reudundent %%attr stuff in the %files sections.
- python-svn should own the libsvn and svn dirs under the python 
  libdir.
- whew I think that about covers it.  But I may have forgotten something
  this was a *MAJOR* cleanup of the package.

* Thu Nov 20 2003 Ben Reser <ben@reser.org> 0.33.1-1mdk
- 0.33.1 which fixes a bug causing updates to fetch files
  twice.
- %%make clean now to avoid issues when upstream forgets to do it.
- %%make doc-all-info is needed to get info files built now.  Looks
  like they may have been already built in the old distribution packages.
- Look to see if the info pages are split and only install the split sections
  if they are.

* Fri Nov 14 2003 Ben Reser <ben@reser.org> 0.33.0-1mdk
- 0.33.0
- Require apache2-devel >= 2.0.48 since subversion requires
  it now.

* Thu Oct 30 2003 Ben Reser <ben@reser.org> 0.32.1-2mdk
- bump rev to get everything uploaded now that klama is working
  (I hope)

* Thu Oct 23 2003 Ben Reser <ben@reser.org> 0.32.1-1mdk
- 0.32.1
- build perl bindings and ship them in perl-SVN
- require neon 0.24.0 or newer as subversion requires it now.
- macro to autodetect perl man page destination for easy rebuilds
  on older distro revs.
- compatability svnadmin-0.27 is history.

* Tue Sep 09 2003 Ben Reser <ben@reser.org> 0.29.0-2mdk
- Fix the apache modules.  There was a bad provides on the
  mod_dav_svn and a requires for the wrong version on
  mod_authz_svn.
- More changes in the buildrequires, it should build 
  straight out of the SRPM if the build dependencies
  are fulfilled on older distros (some of which will
  have to be built on the older distros to get)
- BuildReq ADVX-build >= 1.2

* Sun Sep 07 2003 Ben Reser <ben@reser.org> 0.29.0-1mdk
- 0.29.0
- Remove versioned requires on db4-devel and ADVX-build and libdb4.1,
  this should make it easier to build on older releases, and since
  the client has to stay within a release of the server it'll need
  to be built on older rleeases.
- Make the 0.27 svnadmin build against the included libneon.
  It won't matter really since svnadmin isn't linked against
  libneon anyway, but it ensures that it will always build properly.
- macroize path to rcsparse.py
- Really fix the perms on the tools sub-package.
- merge the ldconfig and install_info scripts
- Fix rpath on svnadmin-0.27
- Install the infopages since the Makefile is broken and won't
- Add the %{ap_name}-%{mod_authz_name} package
- Remove explicit requires on libneon libdb python and swig,
  rpm will automatically require them via libs.
- Don't build require libneon0.24-devel but rather neon-devel.
- macroize

* Thu Sep 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.28.1-2mdk
- activate ugly fix to close #5258
- fix buildrequires
- for some reason those *.info files won't install, skip it for now
  as I have no time fixing it...

* Tue Sep 02 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.28.1-1mdk
- 0.28.1
- close #5195

* Sun Aug 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.28-2mdk
- put development files in place and deactivate ugly fix, it seems 
  to work...

* Thu Aug 28 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.28-1mdk
- 0.28
- rebuilt against latest buildrequires
- use _provides_exceptions and _requires_exceptions magic until
  i find a better way

* Tue Aug 12 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.25-3mdk
- really rebuild against new python
- drop major numbers from some buildrequires
- drop redundant requires, rpm will figure it out by itself
- use %%makeinstall_std macro

* Thu Aug 07 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.25-2mdk
- rebuilt against new python

* Mon Jul 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.25-1mdk
- 0.25
- rebuilt against latest apache2, requires and buildrequires
- added spec file changes by Joseph Wang
- added python spec file magic from the tmda spec file
- fixed S1
- fix requires

* Tue Jun 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.23.0-2mdk
- rebuilt for apache v2.0.46
- rebuilt against new libneon
- buildprereq ADVX-build >= 9.2
- misc spec file fixes

* Sun May 25 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.23.0-1mdk
- 0.23.0
- drop P0, it's included upstream
- misc spec file fixes

* Tue May 06 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.21.0-2mdk
- fix BuildPreReq and fix file permissions on the tools 
  subpackage as pointed out by Andrey Borzenkov

* Mon Apr 28 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.21.0-1mdk
- 0.21.0
- enable python bindings since we now have the required swig v1.3.16
- drop P1, use spec file magic instead
- drop P2
- added the html docs into the %{ap_name}-%{mod_dav_name} package
- broke out the tools into a new sub package
- trying my best to make mr. rpmlint shut up...
- a lot of spec file changes..., see the changelog list or in CVS for more info

* Tue Apr  8 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.18.1-0.r5118.2mdk
- rebuild only with libdb4.0, not libdb3.3

* Tue Mar 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.18.1-0.r5118.1mdk
- 0.18.1
- use the %%mklibname macro
- rebuilt against latest buildrequires
- make rpmlint a little happier...

* Sat Feb 22 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.17.1-0.r4503.2mdk
- fix requires (libdb4.0, not db4)

* Sat Feb 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.17.1-0.r4503.1mdk
- 0.17.1
- added fixes by Oliver Lemke <olemke@core-dump.net>, thanks man!
- rediffed P0

* Tue Jan 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.16-0.r3987.6mdk
- rebuilt for apache v2.0.44

* Mon Jan 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.16-0.r3987.5mdk
- fix buildrequires apache2-devel >= 2.0.43-5mdk, as 
  pointed out by Olivier Thauvin

* Sun Jan 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.16-0.r3987.4mdk
- da capo

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.16-0.r3987.3mdk
- rebuilt against rebuilt buildrequires

* Mon Jan 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.16-0.r3987.2mdk
- it's much easier to upload when increasing the release number ;)
- Rebuilt with the new apache-devel that uses /usr/sbin/apxs2 and
  /usr/include/apache2

* Fri Dec 06 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.16-0.r3987.1mdk
- new version
- misc spec file fixes

* Sun Nov 10 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.15-0.r3687.1mdk
- new version
- added P2 by Robert Schiele

* Sat Nov 09 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.14.5-0.r3578.4mdk
- enable build with debugging code, used ideas from Han Boetes and his
  fluxbox package, but the RedHat way. rpm --rebuild --with debug 
  subversion-0.14.5-0.r3578.4mdk.src.rpm will _not_ strip away any debugging code,
  will _add_ -g3 to CFLAGS, will _add_ --enable-maintainer-mode to 
  configure.

* Wed Nov 06 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.14.5-0.r3578.3mdk
- fix this broken package by totally ignoring Mr. Lint for now

* Tue Nov 05 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.14.5-0.r3578.2mdk
- added the client-local and client-dav subpackages to conform more to 
  the provided rpm spec file (and their descriptions)
- misc spec file fixes

* Fri Nov 01 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.14.5-0.r3578.1mdk
- used parts of the spec file by David Summers and parts of the
  provided spec file by Michael Ballbach 
- cannot build the python and swig stuff until we have swig v1.3.16
- libifiction
- initial cooker contrib (first attempt to build this beast...)
svn-config
